SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002019: interface editor deletes parts of configuration - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002019Endian FirewallGUIpublic2009-07-16 11:192009-10-27 11:59
Reporterpeter-endian 
Assigned Tosimon-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.3Fixed in Version2.3 
Summary0002019: interface editor deletes parts of configuration
Description- on ethernet static, default gateway will not be read out, i think. If you edit the uplink there's no default gateway and you will save it empty afterwards.

- on pppoe username/password will be deleted from settings file. This way there is no chance to go online.

TagsNo tags attached.
Attached Files

- Relationships
parent of 0001934closedsimon-endian interface editor changes for 2.3 - meta ticket 

-  Notes
(0002778)
simon-endian (developer)
2009-07-24 07:53
edited on: 2009-07-30 18:16

input field has key DEFAULT_GATEWAY but settingsfile uses GATEWAY

is fixed in 2.3 and in patch queue of 2.2

(0002779)
simon-endian (developer)
2009-07-24 07:54
edited on: 2009-08-11 21:37

username / password are never saved

fixed it in 2.3 and added it to 2.2 merge queue

(0002819)
luca-endian (developer)
2009-07-29 15:18

the same happens with mac spoof flag (in 2.3 as well)
(0002841)
simon-endian (developer)
2009-08-11 21:33

MACACTIVE must be set to on if MAC is defined (for gui only)
(0002842)
simon-endian (developer)
2009-08-11 21:37

mac spoof flag is now set correctly

fixed it in 2.3 and added it to 2.2 merge queue

- Issue History
Date Modified Username Field Change
2009-07-16 11:19 peter-endian New Issue
2009-07-16 11:20 peter-endian Relationship added parent of 0001934
2009-07-16 12:30 peter-endian Assigned To => simon-endian
2009-07-24 07:53 simon-endian Note Added: 0002778
2009-07-24 07:54 simon-endian Note Added: 0002779
2009-07-24 07:57 simon-endian Note Edited: 0002779
2009-07-24 07:58 simon-endian Status new => resolved
2009-07-24 07:58 simon-endian Fixed in Version => 2.3
2009-07-24 07:58 simon-endian Resolution open => fixed
2009-07-28 16:58 peter-endian Note Added: 0002807
2009-07-29 15:18 luca-endian Note Added: 0002819
2009-07-29 15:18 luca-endian Status resolved => feedback
2009-07-29 15:18 luca-endian Resolution fixed => reopened
2009-07-30 18:16 simon-endian Note Edited: 0002778
2009-07-30 18:17 simon-endian Note Added: 0002821
2009-08-11 21:31 simon-endian Note Deleted: 0002807
2009-08-11 21:32 simon-endian Note Deleted: 0002821
2009-08-11 21:33 simon-endian Note Added: 0002841
2009-08-11 21:37 simon-endian Note Edited: 0002779
2009-08-11 21:37 simon-endian Note Added: 0002842
2009-08-11 21:37 simon-endian Status feedback => resolved
2009-08-11 21:37 simon-endian Resolution reopened => fixed
2009-10-27 11:59 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker